> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tenbyte.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get App Catalog images

> Returns list of App Catalog images and corresponding versions for the platform Compute section.



## OpenAPI

````yaml https://raw.githubusercontent.com/vidinfra/open-api-docs/refs/heads/main/cloud-api.json get /config/vm_images/app_catalog
openapi: 3.0.0
info:
  title: Tenbyte Cloud API
  version: 1.0.0
  description: >-
    API for managing cloud resources like Virtual Machines, Storage, Networks,
    and more on tenbytecloud.com.
servers:
  - url: https://api.tenbytecloud.com/v1
    description: Production server
security:
  - apikey-header-apikey: []
tags:
  - name: User
    description: User profile and SSH key management
  - name: Token
    description: API token management
  - name: Locations
    description: Available data centre locations
  - name: VM
    description: Virtual machine management
  - name: Block Storage
    description: Block storage disk management
  - name: Object Storage
    description: S3-compatible object storage management
  - name: Private networks
    description: Private network management
  - name: Floating IP
    description: Floating IP address management
  - name: Firewall
    description: Firewall management
  - name: Network Load Balancer
    description: Network load balancer management
  - name: Parameters
    description: VM creation parameters and image lists
paths:
  /config/vm_images/app_catalog:
    get:
      tags:
        - Parameters
      summary: Get App Catalog images
      description: >-
        Returns list of App Catalog images and corresponding versions for the
        platform Compute section.
      operationId: getAppCatalogImages
      responses:
        '200':
          description: List of App Catalog images
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
              example:
                - os_name: centos
                  display_name: Centos
                  is_app_catalog: true
                  versions:
                    - os_version: 7.3.1611
                      display_name: 7.3.1611
                      published: true
      security:
        - apikey-header-apikey: []
components:
  securitySchemes:
    apikey-header-apikey:
      type: apiKey
      in: header
      name: apikey

````